## TpContactSearchResult

TpContactSearchResult — a result of a contact search

## Functions

TpContactInfoField * | tp_contact_search_result_get_field ()
GList * | tp_contact_search_result_get_fields ()
GList * | tp_contact_search_result_dup_fields ()
const gchar * | tp_contact_search_result_get_identifier ()

## Properties

gchar * | identifier | Read / Write / Construct Only

## Types and Values

struct | TpContactSearchResult
struct | TpContactSearchResultClass

## Object Hierarchy

        GObject
        ╰── TpContactSearchResult

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

TpContactSearchResult objects represent results for TpContactSearch.

## Functions

### tp_contact_search_result_get_field ()

    TpContactInfoField *
    tp_contact_search_result_get_field (TpContactSearchResult *self,
                                        const gchar *field);

#### Parameters

self | a TpContactSearchResult |
field | the name of the field |

#### Returns

the specified field, or `NULL` if the result doesn't have it.

[transfer none]

Since: 0.13.11

### tp_contact_search_result_get_fields ()

    GList *
    tp_contact_search_result_get_fields (TpContactSearchResult *self);

`tp_contact_search_result_get_fields` is deprecated and should not be used in newly-written code.

Since 0.19.9. New code should use `tp_contact_search_result_dup_fields()` instead.

#### Parameters

self | a search result |

#### Returns

a GList of TpContactInfoField for the specified contact. You should free it when you're done with `g_list_free()`.

[transfer container][element-type TelepathyGLib.ContactInfoField]

### tp_contact_search_result_dup_fields ()

    GList *
    tp_contact_search_result_dup_fields (TpContactSearchResult *self);

#### Parameters

self | a search result |

#### Returns

a GList of TpContactInfoField for the specified contact. You should free it when you're done with `tp_contact_info_list_free()`.

[transfer full][element-type TelepathyGLib.ContactInfoField]

Since: 0.19.9

### tp_contact_search_result_get_identifier ()

    const gchar *
    tp_contact_search_result_get_identifier
                                   (TpContactSearchResult *self);

#### Parameters

self | a TpContactSearchResult |

#### Returns

the contact identifier.

Since: 0.13.11

## Types and Values

### struct TpContactSearchResult

    struct TpContactSearchResult;

An object representing the results of a Telepathy contact search channel. There are no interesting public struct fields.

Since: 0.13.11

### struct TpContactSearchResultClass

    struct TpContactSearchResultClass {
    };

The class of a TpContactSearchResult.

Since: 0.13.11

## Property Details

### The `“identifier”` property

      “identifier”               gchar *

The contact identifier.

Owner: TpContactSearchResult

Flags: Read / Write / Construct Only

Default value: NULL

## See Also

TpContactSearch